Loading...
Searching...
No Matches
SoapySDR::Range Class Reference

`#include <Types.hpp>`

## Public Member Functions

| Range (void)
| Create an empty range (0.0, 0.0).
| Range (const double minimum, const double maximum, const double step=0.0)
| Create a min/max range.
double | minimum (void) const
| Get the range minimum.
double | maximum (void) const
| Get the range maximum.
double | step (void) const
| Get the range step size.

## Detailed Description

A simple min/max numeric range pair

## Constructor & Destructor Documentation

## Range() [1/2]

SoapySDR::Range::Range | ( | void |  | ) |

Create an empty range (0.0, 0.0).

## Range() [2/2]

SoapySDR::Range::Range | ( | const double | minimum,
|  | const double | maximum,
|  | const double | step = 0.0 )

Create a min/max range.

## Member Function Documentation

## maximum()

double SoapySDR::Range::maximum | ( | void |  | ) | const

inline

Get the range maximum.

## minimum()

double SoapySDR::Range::minimum | ( | void |  | ) | const

inline

Get the range minimum.

## step()

double SoapySDR::Range::step | ( | void |  | ) | const

inline

Get the range step size.

The documentation for this class was generated from the following file:

- Types.hpp